Tax document list
API reference
When the account is over a year old, returns a list of the tax documents associated with the specified account based on query criteria. The list includes each document's unique GUID, which you need to pull a specific document. The response values below are repeated for each document in the list.
Once you have the document ID use Tax document to pull an individual document.
- accountNumberstringrequiredDescription
- statusstringDescription
- documentTypestringDescription
- yearintegerDescription
- idstringDescription
- accountNumberstringDescription
- customerIdstringDescription
- statusstringDescription
- documentTypestringDescription
- yearstringDescription
- isCorrectionbooleanDescription
- productIdstringDescription
- partnerIdstringDescription
- createdAtstringDescription
- recalledAtstringDescription
- lastModifiedAtstringDescription
curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents' \
--header 'Authorization: Bearer <token>'var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/core/v1/dda/accounts/2203250853/tax-documents',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();import requests
url = "https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents"
payload = {}
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}{ "results":
[
],
"pageNumber": 1,
"pageSize": 0,
"hasPreviousPage": false,
"hasNextPage": false
}IMPORTANT Only pull documents as needed. If you want to pull a large number of documents, speak to your Relationship Manager.
The IRS requires Cross River to provide account holders with an IRS Form 1099 for earnings equal to or greater than $10.00, per taxpayer identification number (TIN).Should the customer have more than one account, the system generates a 1099 for each account if the earnings of all accounts total $10.00 or more.